<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Access extends Application_controller {
	
	function __construct() {
	
		parent::__construct();
		$this->setLayout("dialog");
	
	}
	
	public function login() {
		
		if(logged_user() instanceof User) redirect('dashboard');

		$email = input_post_request('email');
		tpl_assign("email", $email);

		$password = input_post_request('password');

		$remember = input_post_request('remember') == 'on';
		tpl_assign("remember", $remember);

		$is_submited = input_post_request('submited') ==  'submited';
		
		if ($is_submited) {

			$this->form_validation->set_rules('email', lang('c_1'), 'trim|valid_email|required');
			$this->form_validation->set_rules('password', lang('c_2'), 'trim|required');
		
			if ($this->form_validation->run() == FALSE) {
				$error_msg = validation_errors();
			} else {
										
				$user = $this->Users->getByEmail($email);
				if($user instanceof User) {

					if($user->getIsActive() && !$user->getIsTrashed()) {

						if($user->isValidPassword($password)) {
							
							try {
								
								Initial_Data::instance()->setLoggedUser($user, $remember, true);
								
								$ref = input_get_request('ref');
								$redirect_url = $ref != '' ? base64_decode($ref) : '';
								
								redirect($redirect_url);
		
							} catch(Exception $e) {
							}
						
						}
					
					}
										
				}
				
				$error_msg = lang('c_7');
			
			}	
			
			tpl_assign('error', $error_msg);
			
		}

	}

	public function logout() {
		
		Initial_Data::instance()->logUserOut();

		$ref = input_get_request('ref');
		$param = $ref != '' ? '?ref='.$ref : '';

		redirect('access/login'.$param);
		
	}
	
	function forgot_password($token = null) {

		if(logged_user() instanceof User) redirect('');

		tpl_assign("token", $token);
		$is_submited = input_post_request('submited') ==  'submited';
				
		if(is_null($token)) {
		
			$user_email = input_post_request('user_email');
			tpl_assign("user_email", $user_email);

			if ($is_submited) {
			
				$this->form_validation->set_rules('user_email', lang('c_14'), 'required|valid_email');

				if ($this->form_validation->run() == FALSE) {
					tpl_assign("error", validation_errors());
				} else {

					$user = $this->Users->getByEmail($user_email);

					if(isset($user) && $user instanceof User && 
					$user->getIsActive() && !$user->getIsTrashed()) {
					
						// Send reset password email here ..
						$notify_subject = lang('c_17');
						$notify_message = $this->load->view("emails/forgot_password", array(
						"reset_link" => get_page_base_url($user->getForgotPasswordURL()), "user_name" => $user->getName()), true);

						send_mail_SMTP($user->getEmail(), $user->getName(), $notify_subject, $notify_message);
					
					}
			
					$this->session->set_flashdata("success", lang('c_18'));
					redirect(get_page_base_url('access/forgot_password'));
														
				}
				
			}
					
		} else {
		
			$user = $this->Users->getByToken($token);
			if(is_null($user)) show_404();

			$password = input_post_request('new_password');
		
			if ($is_submited) {

				$this->form_validation->set_rules('new_password', lang('c_2'), 'trim|required|min_length[8]|max_length[20]');
				$this->form_validation->set_rules('confirm_password', lang('c_11'), 'trim|required|matches[new_password]');

				if ($this->form_validation->run() == FALSE) {
					tpl_assign("error", validation_errors());	
				} else {
				
					try { 
					
						$user->setPassword($password);
						$user->save();
	
						$this->session->set_flashdata("success", lang('c_20'));
		
					} catch(Exception $e) {
						$this->session->set_flashdata("error", lang('e_1'));
					}
			
					redirect(get_page_base_url('access/login'));
		
				}
				
				if(isset($error_msg)) tpl_assign("error", $error_msg);

			}

		}
		
	}
	
}