<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Install extends My_Controller {
	
	function __construct() {
	
		parent::__construct();

		$this->load->model('Companies');
		$this->load->model('Users');

		$this->setLayout("dialog");
	
	}
	
	public function index() {
		
		$name = input_post_request('name');
		tpl_assign("name", $name);

		$email = input_post_request('email');
		tpl_assign("email", $email);

		$address = input_post_request('address');
		tpl_assign("address", $address);

		$phone_number = input_post_request('phone_number');
		tpl_assign("phone_number", $phone_number);

		$company_name = input_post_request('company_name');
		tpl_assign("company_name", $company_name);

		$password = input_post_request('password');

		$is_submited = input_post_request('submited') ==  'submited';
		
		if ($is_submited) {


			$this->form_validation->set_rules('name', 'Name', 'trim|required|max_length[30]');
			$this->form_validation->set_rules('email', 'Email', 'trim|valid_email|required|max_length[100]');
			$this->form_validation->set_rules('company_name', 'Company Name', 'trim|required|max_length[50]');
			$this->form_validation->set_rules('password', 'Loing Password', 'trim|required|min_length[8]|max_length[20]');
			
			if ($this->form_validation->run() == FALSE) {
				$error_msg = validation_errors();
			} else {

				// Add info ..	
				try {

					$this->db->trans_begin();

					$company = new Company();
					$company->setName($company_name);
					$company->setParentId(0); // Owner company ..
					$company->save();
					
					$user = new User();
					$user->setName($name);
					$user->setCompanyId($company->getId());
					$user->setEmail($email);
					$user->setPassword($password);
					$user->setIsActive(true);
					$user->save();
					
					$company->setCreatedById($user->getId());
					$company->save();

					$this->db->trans_commit();
					
					set_flash_success("Installation successfull.");
					redirect("access/login");
					
				} catch (Exception $e) {
	
					$this->db->trans_rollback();
					$error_msg = "An error was encountered.";
	
				}
													
			}	
			
			tpl_assign('error', $error_msg);
			
		}

	}
	
}