<?php defined('BASEPATH') OR exit('No direct script access allowed');

/* InvoiceItems Model */

class InvoiceItems_model extends Application_model {

    function __construct() {
        parent::__construct('invoice_items', 'InvoiceItem');
    }

	public function getItems(Invoice $invoice) {
	
		return $this->find(array('conditions' => array('`invoice_id` = ?', $invoice->getId()), 
		'order' => '`o_key` ASC'));
	
	}

	public function countItems(Invoices $invoice) {
		return $this->count(array('`invoice_id` = ?', $invoice->getId()));
	}

}

/* InvoiceItem Object */

class InvoiceItem extends Application_object {
	
	function __construct() {
		parent::__construct('invoice_items');
	}
	
	public function getName($max_length = 65) {
		return shorter($this->getDescription(), $max_length);
	}

}