<?php defined('BASEPATH') OR exit('No direct script access allowed'); 
tpl_assign("title_for_layout", lang('c_21'));?>

<div class="box box-solid">

	<div class="box-header with-border">
	  <i class="fa fa-clock-o"></i>
	  <h3 class="box-title"><?php echo lang('c_21'); ?></h3>
	</div>
	
	<div class="box-body">
		
		<?php $activity_logs = null;
		$act_projects = logged_user()->getActiveProjects();
		
		if(is_array($act_projects) && count($act_projects)) {
		
			$include_private = logged_user()->isMember();
			$include_hidden = logged_user()->isAdmin() || logged_user()->isOwner();
		
			$project_ids = array();
			foreach($act_projects as $act_project) {
				$project_ids[] = $act_project->getId();
			}
		
			$activity_logs = $this->ActivityLogs->getAll($include_private, $include_hidden, $project_ids, 100, 0);
		
		}
		
		if(isset($activity_logs) && is_array($activity_logs) && count($activity_logs)) : ?>

		<ul class="timeline">

			<?php foreach($activity_logs as $activity_log) : 
			list($date_element_class, $log_date_value) = get_date_format_array($activity_log->getCreatedAt()); ?>

            <li>
              <i class="<?php echo get_activity_icon($activity_log->getModel()); ?>"></i>

              <div class="timeline-item">
                <span class="time"><i class="fa fa-clock-o"></i> <?php echo $log_date_value; ?></span>

                <div class="timeline-body <?php echo $date_element_class; ?>"><?php 
				
				$created_by_name = '';
				$create_by = $activity_log->getCreatedBy();
				
				if($create_by) {
					$created_by_name = ($create_by->getId() == logged_user()->getId() ? lang('c_24') : '<u>'.$create_by->getName().'</u>').' ';
				}
				
				$log_object = $activity_log->getObject();
				$raw_data = unserialize_data($activity_log->getRawData());
				
				$log_row = $created_by_name.' '.$raw_data['message'].' '.(isset($log_object) && $log_object->getObjectURL() ? '<a href="'.get_page_base_url($log_object->getObjectURL()).'">'.$raw_data['title'].'</a>' : $raw_data['title']);
				
				echo $log_row;?>
							
				</div>
				
              </div>
            </li>
			
			<?php endforeach; ?>
			
		</ul>

		<?php else : ?>
		<p><?php echo lang('e_2'); ?></p>
		<?php endif; ?>

	</div>
	
</div>