<?php defined('BASEPATH') OR exit('No direct script access allowed'); 
tpl_assign("title_for_layout", $project->getName().' : '.lang('c_22')); 

tpl_assign("header_for_layout", '
<link href="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.css").'" rel="stylesheet">
');	

tpl_assign("footer_for_layout", '
<script src="'.get_page_base_url("public/assets/vendor/datatables/js/jquery.dataTables.min.js").'"></script>
<script src="'.get_page_base_url("public/assets/vendor/datatables-plugins/dataTables.bootstrap.min.js").'"></script>
<script>
$(document).ready(function() {
$(".activities").DataTable({
 "iDisplayLength": 15,
  "bLengthChange": false,
  "bFilter": false,
  "bInfo": false,
  "bSort": false,
  language: {
        search: "_INPUT_",
        searchPlaceholder: "'.lang('c_25').'",
		"url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/'.get_site_language(true).'.json"

  }  
});
});
</script>
');	

?>

<?php  $include_private = logged_user()->isMember();
$include_hidden = logged_user()->isAdmin() || logged_user()->isOwner();

$activity_logs = $this->ActivityLogs->getByProject($project, $include_private, $include_hidden);
if(isset($activity_logs) && is_array($activity_logs) && count($activity_logs)) : ?>

<ul class="timeline">

	<?php foreach($activity_logs as $activity_log) : 
	list($date_element_class, $log_date_value) = get_date_format_array($activity_log->getCreatedAt()); ?>

	<li>
	  <i class="<?php echo get_activity_icon($activity_log->getModel()); ?>"></i>

	  <div class="timeline-item">
		<span class="time"><i class="fa fa-clock-o"></i> <?php echo $log_date_value; ?></span>

		<div class="timeline-body <?php echo $date_element_class; ?>"><?php 
		
		$created_by_name = '';
		$create_by = $activity_log->getCreatedBy();
		
		if($create_by) {
			$created_by_name = ($create_by->getId() == logged_user()->getId() ? lang('c_24') : '<u>'.$create_by->getName().'</u>').' ';
		}
		
		$log_object = $activity_log->getObject();
		$raw_data = unserialize_data($activity_log->getRawData());
		
		$log_row = $created_by_name.' '.$raw_data['message'].' '.(isset($log_object) && $log_object->getObjectURL() ? '<a href="'.get_page_base_url($log_object->getObjectURL()).'">'.$raw_data['title'].'</a>' : $raw_data['title']);
		
		echo $log_row;?>
					
		</div>
		
	  </div>
	</li>
	
	<?php endforeach; ?>
	
</ul>

<?php else : ?>
<p><?php echo lang('e_2'); ?></p>
<?php endif; ?>
